package com.winhc.task;

import com.winhc.task.job.CompanyHolderMongoUpdate;
import com.winhc.task.job.EsScanCompanyHumanRelationMapping;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

@SpringBootTest
public class SynMongoCompanyHumanMappingJob {
    @Autowired
    EsScanCompanyHumanRelationMapping esScanCompanyHumanRelationMapping;

    @Autowired
    CompanyHolderMongoUpdate companyHolderMongoUpdate;

    @Test
    public void start() {
        esScanCompanyHumanRelationMapping.start();
    }

    @Test
    public void start2() {
        companyHolderMongoUpdate.start();
    }

    @Test
    public void start3() {
        String dsl = "{\n" +
                "  \"query\": {\n" +
                "    \"bool\": {\n" +
                "      \"must_not\": [\n" +
                "        {\n" +
                "          \"exists\": {\n" +
                "            \"field\": \"holder_id\"\n" +
                "          }\n" +
                "        }\n" +
                "      ]\n" +
                "    }\n" +
                "  }\n" +
                "}";
        companyHolderMongoUpdate.start2(dsl, "xf_company_holder_update_0705_v4_result", "winhc_index_rt_company_holder", "_doc");
    }
}